Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDragEnterEvent Class Reference

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it. More...

    #include <QDragEnterEvent>

Inherits QDragMoveEvent.

- List of all members, including inherited members

### Public Functions

- QDragEnterEvent ( const QPoint & point )

- 5 public functions inherited from QDragMoveEvent
- 13 public functions inherited from QDropEvent
- 2 public functions inherited from QEvent
- 4 public functions inherited from QMimeSource

## Detailed Description

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it.

This event is always immediately followed by a QDragMoveEvent, so you only need to respond to one or the other event. This class inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent, and QDropEvent.

## Member Function Documentation

### QDragEnterEvent::QDragEnterEvent ( const QPoint & point )

Constructs a QDragEnterEvent that represents a drag entering a widget at the given point.

Warning: Do not create a QDragEnterEvent yourself since these objects rely on Qt's internal state.